{ lib, ... }:
{
  imports = [
    <nixos-hardware/dell/g3/3779>
  ];

  # UEFI works here, and variables can be touched
  boot.loader = {
    efi.canTouchEfiVariables = lib.mkDefault true;
    grub = {
      enable = true;
      efiSupport = true;
      device = "nodev"; # Don't install on MBR
      # TODO Maybe we could? In case the HDD doesn't boot anymore?
    };
  };
}
