{ pkgs, lib, config, ... }:
{
  config = lib.mkIf config.frogeye.gaming {
    # Using config.nixpkgs.<something> creates an infinite recursion,
    # but the above might not be correct in case of cross-compiling?
    home.packages = with pkgs; [
      # gaming
      yuzu-mainline
      minecraft
      # TODO factorio

      steam # Common pitfall: https://github.com/NixOS/nixpkgs/issues/86506#issuecomment-623746883
    ];
  };
}
