{ pkgs, ... }:
{
  # wireless support via wpa_supplicant
  # TODO This doesn't change anything, at least in the VM
  networking.wireless = {
    enable = true;
    networks = builtins.fromJSON (builtins.readFile ./wireless/networks.json); # If this file doesn't exist, run ./wireless/import.py
    extraConfig = ''
      country=NL
    '';
  };
  environment.systemPackages = with pkgs; [ wirelesstools ];
  services.chrony.serverOption = "offline";
}
